#ifndef RESOURCE_TREE_
#define RESOURCE_TREE_

#include <string>
#include <vector>

#include "resourceoptions.h"

class Tree;
class ResourceManager;

class ResourceTree
{
public:
	ResourceTree(std::vector<char> buffer);
	~ResourceTree();

	void add_section(std::string name);
	void end_section(void);
	void add_resource(std::string name, std::string location, const ResourceOptions &options);

	void write();
private:
	Tree *tree;
	ResourceManager* manager;
};

void init_resource_map();

#endif
